## libkf5kmahjongg 15.12.3

=== CMakeLists.txt ===
project(libkmahjongg)

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)

set (QT_MIN_VERSION "5.2.0")

find_package(ECM 1.3.0 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Gui Test Svg)
find_package(KF5 REQUIRED COMPONENTS CoreAddons Config ConfigWidgets WidgetsAddons Completion I18n)

include(FeatureSummary)
include(GenerateExportHeader)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DTRANSLATION_DOMAIN="libkmahjongg5")

include_directories(${CMAKE_SOURCE_DIR}/includes)

add_subdirectory( tilesets ) 
add_subdirectory( backgrounds ) 

########### next target ###############

set(KMAHJONGGLIB_VERSION 5.0.0)
set(KMAHJONGGLIB_SOVERSION 5)

set(kmahjongg_LIB_SRCS
   libkmahjong_debug.cpp
   kmahjonggtileset.cpp 
   kmahjonggbackground.cpp 
   kmahjonggtilesetselector.cpp 
   kmahjonggbackgroundselector.cpp 
   kmahjonggconfigdialog.cpp )

ki18n_wrap_ui(kmahjongg_LIB_SRCS kmahjonggtilesetselector.ui kmahjonggbackgroundselector.ui )

add_library(KF5KMahjongglib SHARED ${kmahjongg_LIB_SRCS})
generate_export_header(KF5KMahjongglib BASE_NAME libkmahjongg)

target_link_libraries(KF5KMahjongglib PRIVATE Qt5::Core Qt5::Svg KF5::WidgetsAddons KF5::I18n KF5::Completion KF5::ConfigGui
                                      PUBLIC Qt5::Gui KF5::ConfigWidgets)

target_include_directories(KF5KMahjongglib INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/KF5KMahjongg>" INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}>")

set_target_properties(KF5KMahjongglib PROPERTIES VERSION ${KMAHJONGGLIB_VERSION} 
                                                 SOVERSION ${KMAHJONGGLIB_SOVERSION} 
                                                 EXPORT_NAME KF5KMahjongglib)

ecm_setup_version(${KMAHJONGGLIB_VERSION} VARIABLE_PREFIX KF5KMAHJONGGLIB
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kmahjongglib_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KMahjongglibConfigVersion.cmake"
                        SOVERSION 6)

	
install(TARGETS KF5KMahjongglib EXPORT KF5KMahjonggLibraryDepends
        ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/libkmahjongg_export.h
   kmahjonggtileset.h
   kmahjonggbackground.h 
   kmahjonggconfigdialog.h 
DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KF5KMahjongg COMPONENT Devel)

########### generate exports ###############

# add libraries to the build-tree export set
export(TARGETS KF5KMahjongglib
    FILE "${PROJECT_BINARY_DIR}/KF5KMahjonggLibraryDepends.cmake")

# define the installation directory for the CMake files
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5KMahjongglib")

# create the Config.cmake and ConfigVersion.cmake files
ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5KMahjongglibConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5KMahjongglibConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5KMahjongglibConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5KMahjongglibConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

# install the export set for use with the install-tree
install(EXPORT KF5KMahjonggLibraryDepends DESTINATION
    ${CMAKECONFIG_INSTALL_DIR} COMPONENT Devel)
	
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kmahjongglib_version.h  
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KF5KMahjongg
        COMPONENT Devel)

########### Display Summary ###############
feature_summary(WHAT ALL
                INCLUDE_QUIET_PACKAGES
                FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
libkf5kmahjongg (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:21:26 -0700

libkf5kmahjongg (4:15.12.1-0ubuntu2) xenial; urgency=medium

  * Add the missing epoch back as the package uses the same binaries as
    libkmahjongg 

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 11 Mar 2016 00:27:47 +0100

libkf5kmahjongg (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Scarlett Clark ]
  * Debian merge: No remaining changes.
  * New upstream release. 
  * Fix changelog to reflect rename. 
  * Fix rename typo.

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:29:05 +0100

libkmahjongg (4:15.08.2-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:52 +0100

libkmahjongg (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:58:13 +0100

libkmahjongg (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:41:53 +0100

libkf5kmahjongg (15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:00 +0100

libkf5kmahjongg (15.08.1-1) unstable; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 02:44:54 +0200

libkf5kmahjongg (15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 10 Sep 2015 17:30:20 +0200

libkmahjongg (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:50:14 +0100

libkmahjongg (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:26:31 +0100

libkmahjongg (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * KDE Frameworks 5 port
    + Rename all libraries to match new sonames
    + Give the data package a kf5 suffix as to not conflict with
      the kdelibs4 version which has different paths but the same assets

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 22:30:31 +0200

libkmahjongg (4:14.12.3-2) unstable; urgency=medium

  * Migrate to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Sep 2015 16:23:00 +0200

libkmahjongg (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:12:55 +0200

libkmahjongg (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).

  [ Scarlett Clark ]
  * Add back kdelibs parent depend version.

  [ Maximiliano Curia ]
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Feb 2015 20:25:51 +0100

libkmahjongg (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with
    remote site does not even have current version

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:01:45 -0800

libkmahjongg (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 15:50:45 +0100

libkmahjongg (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 21:28:11 -0800

libkmahjongg (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series
   - Change maintainer to Debian/Kubuntu
   - Fix Watch file applications locations
   - Fix VCS for new kde-applications location
  * Debian merge, no remaining changes.

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 26 Nov 2014 13:56:44 +0000

libkmahjongg (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:25:36 -0700

libkmahjongg (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:47:13 +0200

libkmahjongg (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:32:48 +0200

libkmahjongg (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:22:41 +0200

libkmahjongg (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:47:02 +0200

libkmahjongg (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:36:50 +0200

libkmahjongg (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with Debian, no remaining changes

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:07:29 +0100

libkmahjongg (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 May 2014 09:25:55 +0200

libkmahjongg (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:22:20 +0100

libkmahjongg (4:4.12.97-0ubuntu1) trusty; urgency=medium



=== debian/control ===
Source: libkf5kmahjongg
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5widgetsaddons-dev,
               libqt5svg5-dev (>= 5.4),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: http://games.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libkmahjongg.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libkmahjongg.git

Package: libkf5kmahjongglib5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: shared library for kmahjongg and kshisen
 This package contains a shared library used by the KDE games kmahjongg and
 kshisen.
 .
 This package is part of the KDE games module.

Package: libkf5kmahjongglib-dev
Section: libdevel
Architecture: any
Depends: libkf5configwidgets-dev,
         libkf5kmahjongglib5 (= ${binary:Version}),
         ${misc:Depends}
Description: development files for the KDE kmahjongg library
 This package contains development files for building software that uses
 the KDE kmahjongg library.
 .
 This package is part of the KDE games module.

Package: libkf5kmahjongglib-dbg
Architecture: any
Priority: extra
Section: debug
Depends: libkf5kmahjongglib5 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for the KDE kmahjongg library
 This package contains the debugging symbols of the KDE kmahjongg library.
 .
 This package is part of the KDE games module.

Package: kdegames-mahjongg-data-kf5
Section: games
Architecture: all
Depends: ${misc:Depends}
Description: tilesets and backgrounds for Mahjongg games
 This package contains a collection of tilesets and backgrounds for KMahjongg,
 KShisen and Kajongg.
 .
 This package is part of the KDE games module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5kmahjongglib-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/libkmahjongg-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/libkmahjongg-([\d.]+).tar.xz

## libkf5kmahjongg 16.04.3

=== debian/changelog ===
libkf5kmahjongg (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:42:50 +0200

libkf5kmahjongg (15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:50 +0100

=== debian/control ===
--- 
+++ 
@@ -12,20 +12,20 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               libkf5completion-dev,
-               libkf5config-dev,
-               libkf5configwidgets-dev,
-               libkf5coreaddons-dev,
-               libkf5i18n-dev,
-               libkf5widgetsaddons-dev,
-               libqt5svg5-dev (>= 5.4),
+               extra-cmake-modules (>= 5.24.0~),
+               libkf5completion-dev (>= 5.24.0~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5configwidgets-dev (>= 5.24.0~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5widgetsaddons-dev (>= 5.24.0~),
+               libqt5svg5-dev (>= 5.6.1~),
                pkg-kde-tools (>= 0.14),
-               qtbase5-dev (>= 5.4)
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: http://games.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libkmahjongg.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libkmahjongg.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkmahjongg
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkmahjongg
 
 Package: libkf5kmahjongglib5
 Architecture: any
@@ -48,16 +48,6 @@
  .
  This package is part of the KDE games module.
 
-Package: libkf5kmahjongglib-dbg
-Architecture: any
-Priority: extra
-Section: debug
-Depends: libkf5kmahjongglib5 (= ${binary:Version}), ${misc:Depends}
-Description: debugging symbols for the KDE kmahjongg library
- This package contains the debugging symbols of the KDE kmahjongg library.
- .
- This package is part of the KDE games module.
-
 Package: kdegames-mahjongg-data-kf5
 Section: games
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='libkf5kmahjongglib-dbg (<= 15.12.1-1~~)'

## libkf5kmahjongg 16.08.0

=== debian/changelog ===
libkf5kmahjongg (16.08.0-1) unstable; urgency=medium

  * New upstream release (16.08.0)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 18 Oct 2016 09:47:51 +0200

libkf5kmahjongg (16.04.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 14:29:36 +0200

libkf5kmahjongg (16.04.0-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sun, 08 May 2016 09:31:10 +0200

=== debian/control ===
--- 
+++ 
@@ -12,20 +12,20 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               libkf5completion-dev (>= 5.24.0~),
-               libkf5config-dev (>= 5.24.0~),
-               libkf5configwidgets-dev (>= 5.24.0~),
-               libkf5coreaddons-dev (>= 5.24.0~),
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5widgetsaddons-dev (>= 5.24.0~),
-               libqt5svg5-dev (>= 5.6.1~),
+               extra-cmake-modules (>= 1.3.0~),
+               libkf5completion-dev,
+               libkf5config-dev,
+               libkf5configwidgets-dev,
+               libkf5coreaddons-dev,
+               libkf5i18n-dev,
+               libkf5widgetsaddons-dev,
+               libqt5svg5-dev (>= 5.4),
                pkg-kde-tools (>= 0.14),
-               qtbase5-dev (>= 5.6.1~)
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.4)
+Standards-Version: 3.9.8
 Homepage: http://games.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkmahjongg
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkmahjongg
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkmahjongg.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkmahjongg.git
 
 Package: libkf5kmahjongglib5
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5kmahjongglib-dbg (<= 15.12.1-1~~)'

## libkf5kmahjongg 16.12.3

=== debian/changelog ===
libkf5kmahjongg (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:24:09 +0000

libkf5kmahjongg (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:12:46 +0000

=== debian/control ===
--- 
+++ 
@@ -12,20 +12,20 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               libkf5completion-dev,
-               libkf5config-dev,
-               libkf5configwidgets-dev,
-               libkf5coreaddons-dev,
-               libkf5i18n-dev,
-               libkf5widgetsaddons-dev,
-               libqt5svg5-dev (>= 5.4),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5completion-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5configwidgets-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5widgetsaddons-dev (>= 5.31.0~),
+               libqt5svg5-dev (>= 5.6.1~),
                pkg-kde-tools (>= 0.14),
-               qtbase5-dev (>= 5.4)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: http://games.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkmahjongg.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkmahjongg.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkmahjongg
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkmahjongg
 
 Package: libkf5kmahjongglib5
 Architecture: any
@@ -39,7 +39,7 @@
 Package: libkf5kmahjongglib-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5configwidgets-dev,
+Depends: libkf5configwidgets-dev (>= 5.31.0~),
          libkf5kmahjongglib5 (= ${binary:Version}),
          ${misc:Depends}
 Description: development files for the KDE kmahjongg library

## libkf5kmahjongg 17.04.3

=== debian/changelog ===
libkf5kmahjongg (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Provide -data package installing translations and add
    Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:28:03 +0100

## libkf5kmahjongg 17.08.3

=== CMakeLists.txt ===
project(libkmahjongg)

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)

set (QT_MIN_VERSION "5.2.0")

find_package(ECM 1.3.0 REQUIRED NO_MODULE)

#if(ENABLE_CLAZY)
#    set(CMAKE_CXX_COMPILER clazy)
#endif()

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Gui Svg)
find_package(KF5 REQUIRED COMPONENTS
    CoreAddons
    Config
    ConfigWidgets
    WidgetsAddons
    Completion
    I18n
)

include(FeatureSummary)
include(GenerateExportHeader)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DTRANSLATION_DOMAIN="libkmahjongg5")

include_directories(${CMAKE_SOURCE_DIR}/includes)

add_subdirectory(tilesets)
add_subdirectory(backgrounds)

########### next target ###############

set(KMAHJONGGLIB_VERSION 5.0.0)
set(KMAHJONGGLIB_SOVERSION 5)

set(kmahjongg_LIB_SRCS
   libkmahjongg_debug.cpp
   kmahjonggtileset.cpp
   kmahjonggbackground.cpp
   kmahjonggtilesetselector.cpp
   kmahjonggbackgroundselector.cpp
   kmahjonggconfigdialog.cpp
)

ki18n_wrap_ui(kmahjongg_LIB_SRCS kmahjonggtilesetselector.ui kmahjonggbackgroundselector.ui )

add_library(KF5KMahjongglib SHARED ${kmahjongg_LIB_SRCS})
generate_export_header(KF5KMahjongglib BASE_NAME libkmahjongg)

target_link_libraries(KF5KMahjongglib
    PRIVATE
    Qt5::Core
    Qt5::Svg
    KF5::WidgetsAddons
    KF5::I18n
    KF5::Completion
    KF5::ConfigGui
    PUBLIC
    Qt5::Gui
    KF5::ConfigWidgets
)

target_include_directories(KF5KMahjongglib INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/KF5KMahjongg>" INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}>")

set_target_properties(KF5KMahjongglib PROPERTIES VERSION ${KMAHJONGGLIB_VERSION}
                                                 SOVERSION ${KMAHJONGGLIB_SOVERSION}
                                                 EXPORT_NAME KF5KMahjongglib)

ecm_setup_version(${KMAHJONGGLIB_VERSION} VARIABLE_PREFIX KF5KMAHJONGGLIB
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kmahjongglib_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KMahjongglibConfigVersion.cmake"
                        SOVERSION 6)


install(TARGETS KF5KMahjongglib EXPORT KF5KMahjonggLibraryDepends
        ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/libkmahjongg_export.h
    kmahjonggtileset.h
    kmahjonggbackground.h
    kmahjonggconfigdialog.h
    DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KF5KMahjongg COMPONENT Devel
)

########### generate exports ###############

# add libraries to the build-tree export set
export(TARGETS KF5KMahjongglib
    FILE "${PROJECT_BINARY_DIR}/KF5KMahjonggLibraryDepends.cmake")

# define the installation directory for the CMake files
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5KMahjongglib")

# create the Config.cmake and ConfigVersion.cmake files
ecm_configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5KMahjongglibConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5KMahjongglibConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5KMahjongglibConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5KMahjongglibConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}" COMPONENT Devel
)

# install the export set for use with the install-tree
install(EXPORT KF5KMahjonggLibraryDepends
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT Devel
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kmahjongglib_version.h
    DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KF5KMahjongg
    COMPONENT Devel
)

########### Display Summary ###############
feature_summary(WHAT ALL
                INCLUDE_QUIET_PACKAGES
                FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== debian/changelog ===
libkf5kmahjongg (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update uploaders list as requested by MIA team (Closes: #879392)

  [ Pino Toscano ]
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will drop
    translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Nov 2017 09:46:29 +0100

libkf5kmahjongg (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:43:09 +0000

libkf5kmahjongg (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:25:37 +0000

libkf5kmahjongg (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:24:34 +0000

libkf5kmahjongg (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:26:53 +0000

libkf5kmahjongg (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Apr 2017 09:35:46 +0000

libkf5kmahjongg (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:51:08 +0000

libkf5kmahjongg (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:04:11 +0000

libkf5kmahjongg (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:24:43 +0000

libkf5kmahjongg (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:32:04 +0000

libkf5kmahjongg (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:55:39 +0000

libkf5kmahjongg (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:41:29 +0000

libkf5kmahjongg (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:08:20 +0000

libkf5kmahjongg (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:50:33 +0000

libkf5kmahjongg (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:36:51 +0000

libkf5kmahjongg (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Jul 2016 16:10:58 +0000

=== debian/control ===
Source: libkf5kmahjongg
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5widgetsaddons-dev,
               libqt5svg5-dev (>= 5.4),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.1.1
Homepage: http://games.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkmahjongg.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkmahjongg.git

Package: kdegames-mahjongg-data-kf5
Section: games
Architecture: all
Depends: ${misc:Depends}
Description: tilesets and backgrounds for Mahjongg games
 This package contains a collection of tilesets and backgrounds for KMahjongg,
 KShisen and Kajongg.
 .
 This package is part of the KDE games module.

Package: libkf5kmahjongglib-dev
Section: libdevel
Architecture: any
Depends: libkf5configwidgets-dev,
         libkf5kmahjongglib5 (= ${binary:Version}),
         ${misc:Depends},
Description: development files for the KDE kmahjongg library
 This package contains development files for building software that uses
 the KDE kmahjongg library.
 .
 This package is part of the KDE games module.

Package: libkf5kmahjongglib5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: shared library for kmahjongg and kshisen
 This package contains a shared library used by the KDE games kmahjongg and
 kshisen.
 .
 This package is part of the KDE games module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-2~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5kmahjongglib-dbg (<= 15.12.1-1~~)'

## libkf5kmahjongg 17.12.3

=== debian/changelog ===
libkf5kmahjongg (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:33:01 +0000

libkf5kmahjongg (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:02:38 +0000

libkf5kmahjongg (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:12:34 +0000

=== debian/control ===
Source: libkf5kmahjongg
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libqt5svg5-dev (>= 5.6.1~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkmahjongg
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkmahjongg

Package: libkf5kmahjongglib5
Architecture: any
Depends: libkf5kmahjongglib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: shared library for kmahjongg and kshisen
 This package contains a shared library used by the KDE games kmahjongg and
 kshisen.
 .
 This package is part of the KDE games module.

Package: libkf5kmahjongglib-data
Architecture: all
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: shared library for kmahjongg and kshisen
 This package contains a shared library used by the KDE games kmahjongg and
 kshisen.
 .
 This package is part of the KDE games module.

Package: libkf5kmahjongglib-dev
Section: libdevel
Architecture: any
Depends: libkf5configwidgets-dev (>= 5.31.0~),
         libkf5kmahjongglib5 (= ${binary:Version}),
         ${misc:Depends}
Description: development files for the KDE kmahjongg library
 This package contains development files for building software that uses
 the KDE kmahjongg library.
 .
 This package is part of the KDE games module.

Package: kdegames-mahjongg-data-kf5
Section: games
Architecture: all
Depends: ${misc:Depends}
Description: tilesets and backgrounds for Mahjongg games
 This package contains a collection of tilesets and backgrounds for KMahjongg,
 KShisen and Kajongg.
 .
 This package is part of the KDE games module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='libkf5kmahjongglib-dbg (<= 15.12.1-1~~)'

## libkf5kmahjongg 18.04.3

=== debian/changelog ===
libkf5kmahjongg (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:23:01 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libqt5svg5-dev (>= 5.6.1~),
                pkg-kde-tools (>= 0.14),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: http://games.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkmahjongg
@@ -54,7 +54,7 @@
 Architecture: any
 Depends: libkf5configwidgets-dev (>= 5.31.0~),
          libkf5kmahjongglib5 (= ${binary:Version}),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: development files for the KDE kmahjongg library
  This package contains development files for building software that uses
  the KDE kmahjongg library.

## libkf5kmahjongg 18.12.3

=== debian/changelog ===
libkf5kmahjongg (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:34:50 +0000

libkf5kmahjongg (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:21:49 +0000

libkf5kmahjongg (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:15:18 +0000

libkf5kmahjongg (4:18.12.0-0ubuntu1) disco; urgency=medium

  * Install libkmahjongg.categories file.
  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:53:34 +0000

libkf5kmahjongg (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - Data package for translations.
    - l10n Breaks/Replaces suitable for Kubuntu.
    - Kubuntu Vcs fields.
    - Bumped build depends.
    - Pass -fno-keep-inline-functions in acc test.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Dec 2018 09:33:31 +0000

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_strip:
-	$(overridden_command) --ddeb-migration='libkf5kmahjongglib-dbg (<= 15.12.1-1~~)'
+	$(overridden_command) --dbgsym-migration='libkf5kmahjongglib-dbg (<= 15.12.1-1~~)'

## libkf5kmahjongg 19.04.3

=== debian/changelog ===
libkf5kmahjongg (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:20:28 +0100

libkf5kmahjongg (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:15:02 +0100

libkf5kmahjongg (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:04:00 +0100

libkf5kmahjongg (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:49:24 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
            Sune Vuorela <sune@debian.org>,
-           Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <gkiagiad@csd.uoc.gr>,
            Eshat Cakar <info@eshat.de>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Maximiliano Curia <maxy@debian.org>
+           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
@@ -22,19 +21,18 @@
                libqt5svg5-dev (>= 5.6.1~),
                pkg-kde-tools (>= 0.14),
                qtbase5-dev (>= 5.6.1~),
-Standards-Version: 3.9.6
+Standards-Version: 4.1.1
 Homepage: http://games.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkmahjongg
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkmahjongg
 
-Package: libkf5kmahjongglib5
-Architecture: any
-Depends: libkf5kmahjongglib-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: shared library for kmahjongg and kshisen
- This package contains a shared library used by the KDE games kmahjongg and
- kshisen.
+Package: kdegames-mahjongg-data-kf5
+Section: games
+Architecture: all
+Depends: ${misc:Depends}
+Description: tilesets and backgrounds for Mahjongg games
+ This package contains a collection of tilesets and backgrounds for KMahjongg,
+ KShisen and Kajongg.
  .
  This package is part of the KDE games module.
 
@@ -61,12 +59,13 @@
  .
  This package is part of the KDE games module.
 
-Package: kdegames-mahjongg-data-kf5
-Section: games
-Architecture: all
-Depends: ${misc:Depends}
-Description: tilesets and backgrounds for Mahjongg games
- This package contains a collection of tilesets and backgrounds for KMahjongg,
- KShisen and Kajongg.
+Package: libkf5kmahjongglib5
+Architecture: any
+Depends: libkf5kmahjongglib-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: shared library for kmahjongg and kshisen
+ This package contains a shared library used by the KDE games kmahjongg and
+ kshisen.
  .
  This package is part of the KDE games module.

## libkf5kmahjongg 19.08.1

=== debian/changelog ===
libkf5kmahjongg (4:19.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Drop the migration from libkf5kmahjongglib-dbg, no more needed after two
    Debian stable releases.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5.0
    - bump the Qt packages to 5.9.0
    - bump the KF packages to 5.46.0
    - explicitly add gettext
  * Drop the unused 'testsuite' autopkgtest.
  * Update install files.
  * Add Build-Depends-Package in the symbols file.
  * Use https for Format in copyright.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Sep 2019 22:27:59 +0200

=== debian/control ===
Source: libkf5kmahjongg
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.5.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.46.0~),
               gettext,
               libkf5completion-dev (>= 5.46.0~),
               libkf5config-dev (>= 5.46.0~),
               libkf5configwidgets-dev (>= 5.46.0~),
               libkf5coreaddons-dev (>= 5.46.0~),
               libkf5i18n-dev (>= 5.46.0~),
               libkf5widgetsaddons-dev (>= 5.46.0~),
               libqt5svg5-dev (>= 5.9.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.4.0
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkmahjongg
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkmahjongg.git

Package: kdegames-mahjongg-data-kf5
Section: games
Architecture: all
Depends: ${misc:Depends}
Description: tilesets and backgrounds for Mahjongg games
 This package contains a collection of tilesets and backgrounds for KMahjongg,
 KShisen and Kajongg.
 .
 This package is part of the KDE games module.

Package: libkf5kmahjongglib-dev
Section: libdevel
Architecture: any
Depends: libkf5configwidgets-dev,
         libkf5kmahjongglib5 (= ${binary:Version}),
         ${misc:Depends},
Description: development files for the KDE kmahjongg library
 This package contains development files for building software that uses
 the KDE kmahjongg library.
 .
 This package is part of the KDE games module.

Package: libkf5kmahjongglib5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: shared library for kmahjongg and kshisen
 This package contains a shared library used by the KDE games kmahjongg and
 kshisen.
 .
 This package is part of the KDE games module.
